#!/bin/sh

if [ "$1" == "" ]; then
	exit 1
fi

BOARDID=`fw_printenv ethaddr | awk 'BEGIN { FS = ":" } ; {print $3$4$5$6}'`

# check presence of update flag
if [ -f /mnt/$1/produsb.sh ]; then
	grep $BOARDID /mnt/$1/produsb.log
	if [ $? -eq 0 ]; then
		echo "This board has already been flashed in produsb mode."
		exit 1
	fi
	# set update flag
	fw_setenv produsb 1
	echo "Go to PRODUSB mode."
	/sbin/reboot
elif [ -f /mnt/$1/update ]; then
	# set update flag
	fw_setenv update 1
	rm /mnt/$1/update
	echo "Go to UPDATE mode."
	/sbin/reboot
elif [ -x /mnt/$1/autorun_klk.sh ]; then
	/mnt/$1/autorun_klk.sh
else
	echo "No magic file."
	exit 1
fi

exit 0
